package com.goafanti.common.dao;

import com.goafanti.common.model.PublicReleaseDetails;
import com.goafanti.weChat.bo.InputPublicRelease;
import com.goafanti.weChat.bo.OutPublicReleaseDetails;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 公出详情表(PublicReleaseDetails)表数据库访问层
 *
 * @author makejava
 * @since 2025-04-17 11:37:36
 */
public interface PublicReleaseDetailsMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PublicReleaseDetails selectById(Integer id);


    /**
     * 查询指定行数据
     *
     * @param publicReleaseDetails 查询条件
     * @return 对象列表
     */
    List<PublicReleaseDetails> findPublicReleaseDetailsList(PublicReleaseDetails publicReleaseDetails);

    /**
     * 统计总行数
     *
     * @param publicReleaseDetails 查询条件
     * @return 总行数
     */
    int findPublicReleaseDetailsCount(PublicReleaseDetails publicReleaseDetails);

    /**
     * 新增数据
     *
     * @param publicReleaseDetails 实例对象
     * @return 影响行数
     */
    int insert(PublicReleaseDetails publicReleaseDetails);



    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<PublicReleaseDetails> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<PublicReleaseDetails> entities);

    /**
     * 修改数据
     *
     * @param publicReleaseDetails 实例对象
     * @return 影响行数
     */
    int update(PublicReleaseDetails publicReleaseDetails);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    int insertSelective(PublicReleaseDetails record);

    List<OutPublicReleaseDetails> selectByPrid(Integer id);

    void insertBatch(List<PublicReleaseDetails> list);

    String getNamesByPrid(Integer id);

    PublicReleaseDetails selectBypridAndUid(InputPublicRelease in);

    void updateDistrictByPrid(InputPublicRelease in);

    String selectUserAdminByPrid(Integer id);
}
